Docs
Webhooks

Update Webhook

Change URL, events, or enable/disable.

PATCH/webhooks/{webhook_id}

Path Parameters

webhook_idstringrequired
Webhook ID.

Body Parameters

endpointstring
New URL.
eventsstring[]
New event list.
status'enabled' | 'disabled'
On or off.
import { Resend } from 'resend';

const client = new Resend('pw_xxxxxxxxx');

const { data, error } = await client.webhooks.update('{webhook_id}', { status: 'disabled' });
Try itPATCH/webhooks/%7Bwebhook_id%7D

No key yet? Create one in the dashboard.